Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362309 - Need for Remote Execution to utilize katello-agent to drive non-ssh based execution. - RFE [NEEDINFO]
Summary: Need for Remote Execution to utilize katello-agent to drive non-ssh based exe...
Keywords:
Status: CLOSED DUPLICATE of bug 1316598
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.2.0
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-01 23:32 UTC by Joe Giordano
Modified: 2017-04-25 16:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-02 12:53:23 UTC
inecas: needinfo? (jgiordan)


Attachments (Terms of Use)

Description Joe Giordano 2016-08-01 23:32:39 UTC
Description of problem:
There are instances where ssh based remote execution is problematic. Instances where 3rd party authentication intercepts ssh user interaction, security focused rotating key management and key vault interaction and overall policies of some organizations. It would be great to have an alternative where remote execution can be triggered using the katello-agent that is installed on the box in order for satellite to communicate with the client.

Comment 1 Ivan Necas 2016-08-02 12:53:23 UTC
We already track the issue for non-ssh provider in #1316598, The katello-agent is pretty tight to the current underlying architecture, therefor I can't promise the non-ssh provider will be using katello-agent directly, but we want to have something similarly simple to cover cases where SSH is not an option.

*** This bug has been marked as a duplicate of bug 1316598 ***


Note You need to log in before you can comment on or make changes to this bug.